Subject: bug#8661: `kill-buffer' can't handle "<%" as file name

From: Le Wang <[email-masked]>
Date: Sun, 15 May 2011 00:09:41 +0800

On Fri, May 13, 2011 at 1:29 AM, Eli Zaretskii <[email-masked]> wrote:
>> From: Juanma Barranquero <[email-masked]>
>> Date: Thu, 12 May 2011 13:53:47 +0200
>> Cc: [email-masked]
>>
>> On Thu, May 12, 2011 at 11:20, Le Wang <[email-masked]> wrote:
>>
>> > 1. runemacs -Q
>> > 2. <C-x f> <%
>> > 3. type some text into new document
>> > 4.<C-x k>
>> >
>> > error: "kill-buffer: Not enough arguments for format string"
>> >
>> > I'm using window native CVS build from early 2011.
>>
>> With the current trunk, what I see is:
>>
>> runemacs -Q
>> C-x C-f <% <RET>  => "(New file)"
>> ; type some text
>> C-x k <RET>   => "Buffer <% modified; kill anyway? (yes or no)"
>> yes <RET>
>>
>> and the buffer is deleted.
>
> And I see the same with Emacs 23.3, the latest released version.
>
> So I guess we can close this bug, unless Le Wang shows us how to
> reproduce this in the latest versions.
>

You're both right.  I upgraded to NTEmacs 2011/4/11 build, and can't
repro it any more.  Emacs 23.2.1. can't repro either.  Seems it was
transient in the trunk.

Please close the bug.

-- 
Le